=== debian/changelog ===
golang-github-heroku-docker-registry-client (0.0~git20211012.9463674-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Feb 2024 13:39:13 +0000

golang-github-heroku-docker-registry-client (0.0~git20211012.9463674-1) unstable; urgency=medium

  * Initial release (Closes: #1061709)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 01 Feb 2024 23:29:17 +0000
