=== debian/control ===
Source: golang-github-heroku-docker-registry-client
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-docker-distribution-dev,
               golang-github-opencontainers-go-digest-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-heroku-docker-registry-client
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-heroku-docker-registry-client.git
Homepage: https://github.com/heroku/docker-registry-client
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/heroku/docker-registry-client

Package: golang-github-heroku-docker-registry-client-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-docker-distribution-dev,
         golang-github-opencontainers-go-digest-dev,
         ${misc:Depends}
Description: Client for the v2 Docker Registry API
 This library provides an API client for the V2 Docker Registry API.
